%define version	0.5.10
%define release	%mkrel 4

Name:		scim-tables
Summary:	Data files for SCIM Generic Table input method module
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
Patch1:		scim-tables-0.5.0-fix-l10n.patch
Patch3:		scim-tables-0.5.9-fix-linkage.patch
Patch4:		scim-tables-0.5.10-gtk3.patch
Patch5:		scim-tables-0.5.10-automake-1.13.patch
Requires:	scim-client = %{scim_api}
Obsoletes:	%mklibname %{name} 0
BuildRequires:	scim-devel >= 1.4.7-4mdk
Requires:	scim-tables-lang = %{version}-%{release}

%description
This package includes many data files for 
SCIM Generic Table input method module.
The data files are came from unicon and xcin.

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/scim-make-table
%{_datadir}/scim/icons/table.png
%{_mandir}/man1/*
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so

#-------------------------------------------------------------
%package en
Summary:        Dummy package for scim-tables-lang
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:	locales-en
BuildArch:	noarch
Conflicts:	scim-tables < 0.5.7-4
Provides:	scim-tables-lang = %{version}-%{release}

%description en
This package is dummy package to satisfy scim-tables-lang.

%files en
%doc README

#-------------------------------------------------------------
%package am
Summary:        Data files for Amharic
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-am
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description am
This package includes table IM data files for Amharic.

%files am
%{_datadir}/scim/tables/Amharic.bin
%{_datadir}/scim/icons/Amharic.png

#-------------------------------------------------------------
%package ar
Summary:        Data files for Arabic
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ar
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ar
This package includes table IM data files for Arabic.

%files ar
%{_datadir}/scim/tables/Arabic.bin
%{_datadir}/scim/icons/Arabic.png

#-------------------------------------------------------------
%package bn
Summary:        Data files for Bengali
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-bn
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description bn
This package includes table IM data files for Bengali.

%files bn
%{_datadir}/scim/tables/Bengali-inscript.bin
%{_datadir}/scim/tables/Bengali-probhat.bin
%{_datadir}/scim/icons/Bengali-inscript.png
%{_datadir}/scim/icons/Bengali-probhat.png

#-------------------------------------------------------------
%package el
Summary:	Data files for Greek
Group:		System/Internationalization
Requires:	scim-tables >= %{version}-%{release}
Requires:	locales-el
BuildArch:	noarch
Provides:	scim-tables-lang = %{version}-%{release}

%description el
This package includes table IM data files for Greek.

%files el
%{_datadir}/scim/tables/greekpoly.bin

#-------------------------------------------------------------
%package gu
Summary:        Data files for Gujarati
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-gu
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description gu
This package includes table IM data files for Gujarati.

%files gu
%{_datadir}/scim/tables/Gujarati-inscript.bin
%{_datadir}/scim/tables/Gujarati-phonetic.bin
%{_datadir}/scim/icons/Gujarati-inscript.png
%{_datadir}/scim/icons/Gujarati-phonetic.png

#-------------------------------------------------------------
%package he
Summary:	Data files for Hebrew
Group:		System/Internationalization
Requires:	scim-tables >= %{version}-%{release}
Requires:	locales-he
BuildArch:	noarch
Provides:	scim-tables-lang = %{version}-%{release}

%description he
This package includes table IM data files for Hebrew.

%files he
%{_datadir}/scim/tables/classicalhebrew.bin

#-------------------------------------------------------------
%package hi
Summary:        Data files for Hindi
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-hi
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description hi
This package includes table IM data files for Hindi.

%files hi
%{_datadir}/scim/tables/Hindi-remington.bin
%{_datadir}/scim/tables/Hindi-inscript.bin
%{_datadir}/scim/tables/Hindi-phonetic.bin
%{_datadir}/scim/icons/Hindi-remington.png
%{_datadir}/scim/icons/Hindi-inscript.png
%{_datadir}/scim/icons/Hindi-phonetic.png

#-------------------------------------------------------------
%package ja
Summary:        Data files for Japanese
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ja
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ja
This package includes table IM data files for Japanese.

%files ja
%doc tables/ja/kanjidic_licence.html tables/ja/kanjidic_doc.html tables/ja/kanjidic-permission-to-use-for-scim
%{_datadir}/scim/tables/HIRAGANA.bin
%{_datadir}/scim/tables/KATAKANA.bin
%{_datadir}/scim/tables/Nippon.bin
%{_datadir}/scim/icons/HIRAGANA.png
%{_datadir}/scim/icons/KATAKANA.png
%{_datadir}/scim/icons/Nippon.png

#-------------------------------------------------------------
%package kn
Summary:        Data files for Kannada
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-kn
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description kn
This package includes table IM data files for Kannada.

%files kn
%{_datadir}/scim/tables/Kannada-inscript.bin
%{_datadir}/scim/tables/Kannada-kgp.bin
%{_datadir}/scim/icons/Kannada-inscript.png
%{_datadir}/scim/icons/Kannada-kgp.png

#-------------------------------------------------------------
%package ko
Summary:        Data files for Korean
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ko
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ko
This package includes table IM data files for Korean.

%files ko
%{_datadir}/scim/tables/Hangul.bin
%{_datadir}/scim/tables/HangulRomaja.bin
%{_datadir}/scim/tables/Hanja.bin
%{_datadir}/scim/icons/Hangul.png
%{_datadir}/scim/icons/Hanja.png

#-------------------------------------------------------------
%package ml
Summary:        Data files for Malayalam
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ml
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ml
This package includes table IM data files for Malayalam.

%files ml
%{_datadir}/scim/tables/Malayalam-inscript.bin
%{_datadir}/scim/tables/Malayalam-phonetic.bin
%{_datadir}/scim/icons/Malayalam-inscript.png
%{_datadir}/scim/icons/Malayalam-phonetic.png

#-------------------------------------------------------------
%package mr
Summary:	Data files for Marathi
Group:		System/Internationalization
Requires:	scim-tables >= %{version}-%{release}
Requires:	locales-mr
BuildArch:	noarch
Provides:	scim-tables-lang = %{version}-%{release}

%description mr
This package includes table IM data files for Marathi.

%files mr
%{_datadir}/scim/tables/Marathi-remington.bin
%{_datadir}/scim/icons/Marathi-remington.png

#-------------------------------------------------------------
%package ne
Summary:        Data files for Nepali
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ne
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ne
This package includes table IM data files for Nepali.

%files ne
%{_datadir}/scim/tables/Nepali_Rom.bin
%{_datadir}/scim/tables/Nepali_Trad.bin
%{_datadir}/scim/icons/Nepali.png

#-------------------------------------------------------------
%package pa
Summary:        Data files for Punjabi
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-pa
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description pa
This package includes table IM data files for Punjabi.

%files pa
%{_datadir}/scim/tables/Punjabi-remington.bin
%{_datadir}/scim/tables/Punjabi-inscript.bin
%{_datadir}/scim/tables/Punjabi-jhelum.bin
%{_datadir}/scim/tables/Punjabi-phonetic.bin
%{_datadir}/scim/icons/Punjabi-remington.png
%{_datadir}/scim/icons/Punjabi-inscript.png
%{_datadir}/scim/icons/Punjabi-jhelum.png
%{_datadir}/scim/icons/Punjabi-phonetic.png

#-------------------------------------------------------------
%package ru
Summary:        Data files for Yawerty
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ru
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Conflicts:	scim-tables-uk < 0.5.10
Provides:       scim-tables-lang = %{version}-%{release}

%description ru
This package includes table IM data files for Yawerty.

%files ru
%{_datadir}/scim/icons/Translit.png
%{_datadir}/scim/tables/Translit.bin
%{_datadir}/scim/tables/Yawerty.bin
%{_datadir}/scim/icons/Yawerty.png
%{_datadir}/scim/tables/RussianTraditional.bin
%{_datadir}/scim/icons/RussianTraditional.png

#-------------------------------------------------------------
%package ta
Summary:        Data files for Tamil
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-ta
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description ta
This package includes table IM data files for Tamil.

%files ta
%{_datadir}/scim/tables/Tamil-tamil99.bin
%{_datadir}/scim/tables/Tamil-inscript.bin
%{_datadir}/scim/tables/Tamil-phonetic.bin
%{_datadir}/scim/tables/Tamil-remington.bin
%{_datadir}/scim/icons/Tamil-inscript.png
%{_datadir}/scim/icons/Tamil-phonetic.png
%{_datadir}/scim/icons/Tamil-remington.png
%{_datadir}/scim/icons/Tamil-tamil99.png

#-------------------------------------------------------------
%package te
Summary:        Data files for Telugu
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-te
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description te
This package includes table IM data files for Telugu.

%files te
%{_datadir}/scim/tables/Telugu-inscript.bin
%{_datadir}/scim/icons/Telugu-inscript.png

#-------------------------------------------------------------
%package th
Summary:        Data files for Thai
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-th
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description th
This package includes table IM data files for Thai.

%files th
%{_datadir}/scim/tables/Thai.bin
%{_datadir}/scim/icons/Thai.png

#-------------------------------------------------------------
%package ug
Summary:	Data files for Uyghur
Group:		System/Internationalization
Requires:	scim-tables >= %{version}-%{release}
Requires:	locales-ug
BuildArch:	noarch
Provides:	scim-tables-lang = %{version}-%{release}

%description ug
This package includes table IM data files for Uyghur.

%files ug
%{_datadir}/scim/tables/Uyghur-Romanized.bin
%{_datadir}/scim/tables/Uyghur-Standard.bin
%{_datadir}/scim/icons/Uyghur.png

#-------------------------------------------------------------
%package uk
Summary:        Data files for Ukrainian
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-uk
BuildArch:	noarch
Provides:       scim-tables-lang = %{version}-%{release}

%description uk
This package includes table IM data files for Ukrainian.

%files uk
%{_datadir}/scim/tables/Ukrainian-Translit.bin
%{_datadir}/scim/icons/Ukrainian-Translit.png

#-------------------------------------------------------------
%package vi
Summary:        Data files for Viqr
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:       locales-vi
BuildArch:	noarch
Conflicts:      scim-tables < 0.5.7-4
Provides:       scim-tables-lang = %{version}-%{release}

%description vi
This package includes table IM data files for Viqr.

%files vi
%{_datadir}/scim/tables/Viqr.bin
%{_datadir}/scim/icons/Viqr.png

#-------------------------------------------------------------
%package zh
Summary:        Data files for Chinese
Group:          System/Internationalization
Requires:       scim-tables >= %{version}-%{release}
Requires:	locales-zh
BuildArch:	noarch
Conflicts:	scim-tables < 0.5.7-4
Provides:	scim-tables-lang = %{version}-%{release}

%description zh
This package includes table IM data files for Chinese.

%files zh
%doc tables/zh/README-Erbi.txt tables/zh/README-CangJie.txt
%doc tables/zh/README-Wu.txt
%{_datadir}/scim/tables/Erbi.bin
%{_datadir}/scim/tables/Erbi-QS.bin
%{_datadir}/scim/tables/Wubi.bin
%{_datadir}/scim/tables/Ziranma.bin
%{_datadir}/scim/icons/Erbi.png
%{_datadir}/scim/icons/Erbi-QS.png
%{_datadir}/scim/icons/Wubi.png
%{_datadir}/scim/icons/Ziranma.png
%{_datadir}/scim/tables/Array30.bin
%{_datadir}/scim/tables/CangJie.bin
%{_datadir}/scim/tables/CangJie3.bin
%{_datadir}/scim/tables/CangJie5.bin
%{_datadir}/scim/tables/Cantonese.bin
%{_datadir}/scim/tables/CantonHK.bin
%{_datadir}/scim/tables/CNS11643.bin
%{_datadir}/scim/tables/Dayi3.bin
%{_datadir}/scim/tables/EZ-Big.bin
%{_datadir}/scim/tables/Jyutping.bin
%{_datadir}/scim/tables/Quick.bin
%{_datadir}/scim/tables/Simplex.bin
%{_datadir}/scim/tables/Stroke5.bin
%{_datadir}/scim/tables/Wu.bin
%{_datadir}/scim/tables/ZhuYin.bin
%{_datadir}/scim/tables/ZhuYin-Big.bin
%{_datadir}/scim/tables/SmartCangJie6.bin
%{_datadir}/scim/icons/Array30.png
%{_datadir}/scim/icons/CangJie.png
%{_datadir}/scim/icons/CangJie3.png
%{_datadir}/scim/icons/Cantonese.png
%{_datadir}/scim/icons/CantonHK.png
%{_datadir}/scim/icons/CNS11643.png
%{_datadir}/scim/icons/Dayi.png
%{_datadir}/scim/icons/EZ.png
%{_datadir}/scim/icons/Jyutping.png
%{_datadir}/scim/icons/Quick.png
%{_datadir}/scim/icons/Simplex.png
%{_datadir}/scim/icons/Stroke5.png
%{_datadir}/scim/icons/Wu.png
%{_datadir}/scim/icons/ZhuYin.png
%{_datadir}/scim/icons/SmartCangJie6.png

#-------------------------------------------------------------
%package additional
Summary:        Data files for additional languages
Group:          System/Internationalization
BuildArch:	noarch
Requires:       scim-tables >= %{version}-%{release}
Conflicts:      scim-tables < 0.5.7-4

%description additional
This package includes table IM data files for additional languages.

%files additional
%{_datadir}/scim/tables/LaTeX.bin
%{_datadir}/scim/tables/IPA-X-SAMPA.bin
%{_datadir}/scim/tables/IPA-Kirshenbaum.bin
%{_datadir}/scim/icons/LaTeX.png
%{_datadir}/scim/icons/IPA-X-SAMPA.png

#-------------------------------------------------------------
%prep
%setup -q
%patch1 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{scim_plugins_dir}/*/*.la

%find_lang %{name}


%changelog

* Mon Jan 14 2013 fwang <fwang> 0.5.10-4.mga3
+ Revision: 385682
- set noarch package

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.5.10-3.mga3
+ Revision: 382147
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 yochenhsieh <yochenhsieh> 0.5.10-1.mga3
+ Revision: 285971
- imported package scim-tables

